NX Open C++ Reference Guide
|
Represents a Tooling::AutoDimensionBuilder which is used to create or edit the Auto Dimension. More...
Public Member Functions | |
NXOpen::NXObject * | CreatedOrdinateOrigin () |
Returns the created ordinate origin tag Created in NX8.5.0. | |
NXOpen::NXObject * | CreateOrdinateOrigin (NXOpen::NXObject *viewTag, const NXOpen::Point3d &pointData) |
The method to create ordinate origin. | |
void | CreateOrdinateOriginMargins (NXOpen::NXObject *ordinateOrigin, NXOpen::NXObject *viewTag) |
The method to create ordinate origin margins Created in NX8.5.0. | |
bool | CreateXDimensions () |
Returns the option whether to create X dimensions Created in NX8.5.0. | |
bool | CreateYDimensions () |
Returns the option whether to create Y dimensions Created in NX8.5.0. | |
NXOpen::NXObject * | CycleObjectsInView (NXOpen::NXObject *viewTag, int vseqNumber, bool isDrawing, NXOpen::NXObject *inObject) |
The method to cycle objects in view. | |
double | DimensionCharacterSize () |
Returns the tolerance character size Created in NX8.5.0. | |
NXOpen::NXColor * | DimensionColor () |
Returns the dimension color Created in NX8.5.0. | |
NXOpen::Annotations::SelectOrdinateDimensionList * | Dimensions () |
Returns the selected dimensions to edit Created in NX8.5.0. | |
NXOpen::NXObject * | FirstMargin () |
Returns the first margin tag Created in NX8.5.0. | |
NXOpen::NXObject * | FourthMargin () |
Returns the fourth margin tag Created in NX8.5.0. | |
double | InnerDimensionOffsetValue () |
Returns the inner dimension offset value Created in NX9.0.0. | |
double | MaxDistanceToOuterMargin () |
Returns the max distance to outer margin Created in NX9.0.0. | |
NXOpen::SelectNXObjectList * | ObjectToDimension () |
Returns the objects to dimension Created in NX8.5.0. | |
double | OffsetValueForMargin () |
Returns the offset value of margins Created in NX8.5.0. | |
NXOpen::NXObject * | OrdinateView () |
Returns the ordinate view tag Created in NX8.5.0. | |
NXOpen::SelectNXObject * | OriginPoint () |
Returns the ordinate origin point Created in NX8.5.0. | |
NXOpen::NXObject * | SecondMargin () |
Returns the second margin tag Created in NX8.5.0. | |
bool | SelectHolesAutomatically () |
Returns the option whether to select holes automatically Created in NX8.5.0. | |
void | SetCreatedOrdinateOrigin (NXOpen::NXObject *ordinateOriginTag) |
Sets the created ordinate origin tag Created in NX8.5.0. | |
void | SetCreateXDimensions (bool createXDimensions) |
Sets the option whether to create X dimensions Created in NX8.5.0. | |
void | SetCreateYDimensions (bool createYDimensions) |
Sets the option whether to create Y dimensions Created in NX8.5.0. | |
void | SetDimensionCharacterSize (double dimensionCharacterSize) |
Sets the tolerance character size Created in NX8.5.0. | |
void | SetDimensionColor (NXOpen::NXColor *dimensionColor) |
Sets the dimension color Created in NX8.5.0. | |
void | SetFirstMargin (NXOpen::NXObject *firstMarginTag) |
Sets the first margin tag Created in NX8.5.0. | |
void | SetFourthMargin (NXOpen::NXObject *fourthMarginTag) |
Sets the fourth margin tag Created in NX8.5.0. | |
void | SetInnerDimensionOffsetValue (double innerDimensionOffsetValue) |
Sets the inner dimension offset value Created in NX9.0.0. | |
void | SetMaxDistanceToOuterMargin (double maxDistanceToOuterMargin) |
Sets the max distance to outer margin Created in NX9.0.0. | |
void | SetOffsetValueForMargin (double offsetValueForMargin) |
Sets the offset value of margins Created in NX8.5.0. | |
void | SetOrdinateView (NXOpen::NXObject *ordinateViewTag) |
Sets the ordinate view tag Created in NX8.5.0. | |
void | SetSecondMargin (NXOpen::NXObject *secondMarginTag) |
Sets the second margin tag Created in NX8.5.0. | |
void | SetSelectHolesAutomatically (bool selectHolesAutomatically) |
Sets the option whether to select holes automatically Created in NX8.5.0. | |
void | SetTextAngle (double textAngle) |
Sets the text angle Created in NX8.5.0. | |
void | SetTextFont (NXOpen::Tooling::AutoDimensionBuilder::TextFontType textFont) |
Sets the text orientation Created in NX8.5.0. | |
void | SetTextOrientation (NXOpen::Tooling::AutoDimensionBuilder::TextOrientationType textOrientation) |
Sets the text orientation Created in NX8.5.0. | |
void | SetThirdMargin (NXOpen::NXObject *thirdMarginTag) |
Sets the third margin tag Created in NX8.5.0. | |
void | SetTolerance (NXOpen::Tooling::AutoDimensionBuilder::ToleranceType toleranceType) |
Sets the tolerance type Created in NX8.5.0. | |
void | SetToleranceCharacterSize (double toleranceCharacterSize) |
Sets the tolerance character size Created in NX8.5.0. | |
void | SetToleranceColor (NXOpen::NXColor *toleranceColor) |
Sets the tolerance color Created in NX8.5.0. | |
void | SetToleranceLowerValue (double toleranceLowerValue) |
Sets the tolerance lower value Created in NX8.5.0. | |
void | SetToleranceUpperValue (double toleranceUpperValue) |
Sets the tolerance upper value Created in NX8.5.0. | |
void | SetToleranceValue (double toleranceValue) |
Sets the tolerance value Created in NX8.5.0. | |
void | SetType (NXOpen::Tooling::AutoDimensionBuilder::MainType type) |
Sets the type create or edit ordinate dimension Created in NX8.5.0. | |
void | SetValuePrecision (NXOpen::Tooling::AutoDimensionBuilder::ValuePrecisionType valuePrecision) |
Sets the value precision Created in NX8.5.0. | |
double | TextAngle () |
Returns the text angle Created in NX8.5.0. | |
NXOpen::Tooling::AutoDimensionBuilder::TextFontType | TextFont () |
Returns the text orientation Created in NX8.5.0. | |
NXOpen::Tooling::AutoDimensionBuilder::TextOrientationType | TextOrientation () |
Returns the text orientation Created in NX8.5.0. | |
NXOpen::NXObject * | ThirdMargin () |
Returns the third margin tag Created in NX8.5.0. | |
NXOpen::Tooling::AutoDimensionBuilder::ToleranceType | Tolerance () |
Returns the tolerance type Created in NX8.5.0. | |
double | ToleranceCharacterSize () |
Returns the tolerance character size Created in NX8.5.0. | |
NXOpen::NXColor * | ToleranceColor () |
Returns the tolerance color Created in NX8.5.0. | |
double | ToleranceLowerValue () |
Returns the tolerance lower value Created in NX8.5.0. | |
double | ToleranceUpperValue () |
Returns the tolerance upper value Created in NX8.5.0. | |
double | ToleranceValue () |
Returns the tolerance value Created in NX8.5.0. | |
NXOpen::Tooling::AutoDimensionBuilder::MainType | Type () |
Returns the type create or edit ordinate dimension Created in NX8.5.0. | |
NXOpen::Tooling::AutoDimensionBuilder::ValuePrecisionType | ValuePrecision () |
Returns the value precision Created in NX8.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Tooling::AutoDimensionBuilder which is used to create or edit the Auto Dimension.
<br> To create a new instance of this class, use @link Tooling::ToolingDrawingCollection::CreateAutoDimensionBuilder Tooling::ToolingDrawingCollection::CreateAutoDimensionBuilder @endlink <br>
Default values.
Property | Value |
---|---|
DimensionCharacterSize |
3.5 |
InnerDimensionOffsetValue |
20 |
MaxDistanceToOuterMargin |
60 |
OffsetValueForMargin |
20 |
SelectHolesAutomatically |
0 |
TextAngle |
0.0 |
TextFont |
First |
TextOrientation |
Horizontal |
Tolerance |
NoTolerance |
ToleranceCharacterSize |
3.5 |
ToleranceLowerValue |
-0.001 |
ToleranceUpperValue |
0.001 |
ToleranceValue |
0.001 |
Type |
CreateOrdinateDimension |
ValuePrecision |
NominalMinusX |
Created in NX8.5.0.
value precision type
NXOpen::NXObject* NXOpen::Tooling::AutoDimensionBuilder::CreatedOrdinateOrigin | ( | ) |
Returns the created ordinate origin tag
Created in NX8.5.0.
License requirements : None
NXOpen::NXObject* NXOpen::Tooling::AutoDimensionBuilder::CreateOrdinateOrigin | ( | NXOpen::NXObject * | viewTag, |
const NXOpen::Point3d & | pointData | ||
) |
The method to create ordinate origin.
viewTag | viewtag |
pointData | pointdata |
void NXOpen::Tooling::AutoDimensionBuilder::CreateOrdinateOriginMargins | ( | NXOpen::NXObject * | ordinateOrigin, |
NXOpen::NXObject * | viewTag | ||
) |
The method to create ordinate origin margins
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
ordinateOrigin | ordinateorigin |
viewTag | viewtag |
bool NXOpen::Tooling::AutoDimensionBuilder::CreateXDimensions | ( | ) |
Returns the option whether to create X dimensions
Created in NX8.5.0.
License requirements : None
bool NXOpen::Tooling::AutoDimensionBuilder::CreateYDimensions | ( | ) |
Returns the option whether to create Y dimensions
Created in NX8.5.0.
License requirements : None
NXOpen::NXObject* NXOpen::Tooling::AutoDimensionBuilder::CycleObjectsInView | ( | NXOpen::NXObject * | viewTag, |
int | vseqNumber, | ||
bool | isDrawing, | ||
NXOpen::NXObject * | inObject | ||
) |
The method to cycle objects in view.
double NXOpen::Tooling::AutoDimensionBuilder::DimensionCharacterSize | ( | ) |
Returns the tolerance character size
Created in NX8.5.0.
License requirements : None
NXOpen::NXColor* NXOpen::Tooling::AutoDimensionBuilder::DimensionColor | ( | ) |
Returns the dimension color
Created in NX8.5.0.
License requirements : None
NXOpen::Annotations::SelectOrdinateDimensionList* NXOpen::Tooling::AutoDimensionBuilder::Dimensions | ( | ) |
Returns the selected dimensions to edit
Created in NX8.5.0.
License requirements : None
NXOpen::NXObject* NXOpen::Tooling::AutoDimensionBuilder::FirstMargin | ( | ) |
Returns the first margin tag
Created in NX8.5.0.
License requirements : None
NXOpen::NXObject* NXOpen::Tooling::AutoDimensionBuilder::FourthMargin | ( | ) |
Returns the fourth margin tag
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::AutoDimensionBuilder::InnerDimensionOffsetValue | ( | ) |
Returns the inner dimension offset value
Created in NX9.0.0.
License requirements : None
double NXOpen::Tooling::AutoDimensionBuilder::MaxDistanceToOuterMargin | ( | ) |
Returns the max distance to outer margin
Created in NX9.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Tooling::AutoDimensionBuilder::ObjectToDimension | ( | ) |
Returns the objects to dimension
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::AutoDimensionBuilder::OffsetValueForMargin | ( | ) |
Returns the offset value of margins
Created in NX8.5.0.
License requirements : None
NXOpen::NXObject* NXOpen::Tooling::AutoDimensionBuilder::OrdinateView | ( | ) |
Returns the ordinate view tag
Created in NX8.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Tooling::AutoDimensionBuilder::OriginPoint | ( | ) |
Returns the ordinate origin point
Created in NX8.5.0.
License requirements : None
NXOpen::NXObject* NXOpen::Tooling::AutoDimensionBuilder::SecondMargin | ( | ) |
Returns the second margin tag
Created in NX8.5.0.
License requirements : None
bool NXOpen::Tooling::AutoDimensionBuilder::SelectHolesAutomatically | ( | ) |
Returns the option whether to select holes automatically
Created in NX8.5.0.
License requirements : None
void NXOpen::Tooling::AutoDimensionBuilder::SetCreatedOrdinateOrigin | ( | NXOpen::NXObject * | ordinateOriginTag | ) |
Sets the created ordinate origin tag
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
ordinateOriginTag | Sets the created ordinate origin |
void NXOpen::Tooling::AutoDimensionBuilder::SetCreateXDimensions | ( | bool | createXDimensions | ) |
Sets the option whether to create X dimensions
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
createXDimensions | createxdimensions |
void NXOpen::Tooling::AutoDimensionBuilder::SetCreateYDimensions | ( | bool | createYDimensions | ) |
Sets the option whether to create Y dimensions
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
createYDimensions | createydimensions |
void NXOpen::Tooling::AutoDimensionBuilder::SetDimensionCharacterSize | ( | double | dimensionCharacterSize | ) |
Sets the tolerance character size
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
dimensionCharacterSize | dimensioncharactersize |
void NXOpen::Tooling::AutoDimensionBuilder::SetDimensionColor | ( | NXOpen::NXColor * | dimensionColor | ) |
Sets the dimension color
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
dimensionColor | dimensioncolor |
void NXOpen::Tooling::AutoDimensionBuilder::SetFirstMargin | ( | NXOpen::NXObject * | firstMarginTag | ) |
Sets the first margin tag
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
firstMarginTag | Sets the first margin tag |
void NXOpen::Tooling::AutoDimensionBuilder::SetFourthMargin | ( | NXOpen::NXObject * | fourthMarginTag | ) |
Sets the fourth margin tag
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
fourthMarginTag | Sets the fourth margin tag |
void NXOpen::Tooling::AutoDimensionBuilder::SetInnerDimensionOffsetValue | ( | double | innerDimensionOffsetValue | ) |
Sets the inner dimension offset value
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
innerDimensionOffsetValue | innerdimensionoffsetvalue |
void NXOpen::Tooling::AutoDimensionBuilder::SetMaxDistanceToOuterMargin | ( | double | maxDistanceToOuterMargin | ) |
Sets the max distance to outer margin
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
maxDistanceToOuterMargin | maxdistancetooutermargin |
void NXOpen::Tooling::AutoDimensionBuilder::SetOffsetValueForMargin | ( | double | offsetValueForMargin | ) |
Sets the offset value of margins
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
offsetValueForMargin | offsetvalueformargin |
void NXOpen::Tooling::AutoDimensionBuilder::SetOrdinateView | ( | NXOpen::NXObject * | ordinateViewTag | ) |
Sets the ordinate view tag
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
ordinateViewTag | Sets the ordinate view tag |
void NXOpen::Tooling::AutoDimensionBuilder::SetSecondMargin | ( | NXOpen::NXObject * | secondMarginTag | ) |
Sets the second margin tag
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
secondMarginTag | Sets the second margin tag |
void NXOpen::Tooling::AutoDimensionBuilder::SetSelectHolesAutomatically | ( | bool | selectHolesAutomatically | ) |
Sets the option whether to select holes automatically
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
selectHolesAutomatically | selectholesautomatically |
void NXOpen::Tooling::AutoDimensionBuilder::SetTextAngle | ( | double | textAngle | ) |
Sets the text angle
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
textAngle | textangle |
void NXOpen::Tooling::AutoDimensionBuilder::SetTextFont | ( | NXOpen::Tooling::AutoDimensionBuilder::TextFontType | textFont | ) |
Sets the text orientation
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
textFont | textfont |
void NXOpen::Tooling::AutoDimensionBuilder::SetTextOrientation | ( | NXOpen::Tooling::AutoDimensionBuilder::TextOrientationType | textOrientation | ) |
Sets the text orientation
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
textOrientation | textorientation |
void NXOpen::Tooling::AutoDimensionBuilder::SetThirdMargin | ( | NXOpen::NXObject * | thirdMarginTag | ) |
Sets the third margin tag
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
thirdMarginTag | Sets the third margin tag |
void NXOpen::Tooling::AutoDimensionBuilder::SetTolerance | ( | NXOpen::Tooling::AutoDimensionBuilder::ToleranceType | toleranceType | ) |
Sets the tolerance type
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
toleranceType | tolerancetype |
void NXOpen::Tooling::AutoDimensionBuilder::SetToleranceCharacterSize | ( | double | toleranceCharacterSize | ) |
Sets the tolerance character size
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
toleranceCharacterSize | tolerancecharactersize |
void NXOpen::Tooling::AutoDimensionBuilder::SetToleranceColor | ( | NXOpen::NXColor * | toleranceColor | ) |
Sets the tolerance color
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
toleranceColor | tolerancecolor |
void NXOpen::Tooling::AutoDimensionBuilder::SetToleranceLowerValue | ( | double | toleranceLowerValue | ) |
Sets the tolerance lower value
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
toleranceLowerValue | tolerancelowervalue |
void NXOpen::Tooling::AutoDimensionBuilder::SetToleranceUpperValue | ( | double | toleranceUpperValue | ) |
Sets the tolerance upper value
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
toleranceUpperValue | toleranceuppervalue |
void NXOpen::Tooling::AutoDimensionBuilder::SetToleranceValue | ( | double | toleranceValue | ) |
Sets the tolerance value
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
toleranceValue | tolerancevalue |
void NXOpen::Tooling::AutoDimensionBuilder::SetType | ( | NXOpen::Tooling::AutoDimensionBuilder::MainType | type | ) |
Sets the type create or edit ordinate dimension
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
type | type |
void NXOpen::Tooling::AutoDimensionBuilder::SetValuePrecision | ( | NXOpen::Tooling::AutoDimensionBuilder::ValuePrecisionType | valuePrecision | ) |
Sets the value precision
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
valuePrecision | valueprecision |
double NXOpen::Tooling::AutoDimensionBuilder::TextAngle | ( | ) |
Returns the text angle
Created in NX8.5.0.
License requirements : None
NXOpen::Tooling::AutoDimensionBuilder::TextFontType NXOpen::Tooling::AutoDimensionBuilder::TextFont | ( | ) |
Returns the text orientation
Created in NX8.5.0.
License requirements : None
NXOpen::Tooling::AutoDimensionBuilder::TextOrientationType NXOpen::Tooling::AutoDimensionBuilder::TextOrientation | ( | ) |
Returns the text orientation
Created in NX8.5.0.
License requirements : None
NXOpen::NXObject* NXOpen::Tooling::AutoDimensionBuilder::ThirdMargin | ( | ) |
Returns the third margin tag
Created in NX8.5.0.
License requirements : None
NXOpen::Tooling::AutoDimensionBuilder::ToleranceType NXOpen::Tooling::AutoDimensionBuilder::Tolerance | ( | ) |
Returns the tolerance type
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::AutoDimensionBuilder::ToleranceCharacterSize | ( | ) |
Returns the tolerance character size
Created in NX8.5.0.
License requirements : None
NXOpen::NXColor* NXOpen::Tooling::AutoDimensionBuilder::ToleranceColor | ( | ) |
Returns the tolerance color
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::AutoDimensionBuilder::ToleranceLowerValue | ( | ) |
Returns the tolerance lower value
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::AutoDimensionBuilder::ToleranceUpperValue | ( | ) |
Returns the tolerance upper value
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::AutoDimensionBuilder::ToleranceValue | ( | ) |
Returns the tolerance value
Created in NX8.5.0.
License requirements : None
NXOpen::Tooling::AutoDimensionBuilder::MainType NXOpen::Tooling::AutoDimensionBuilder::Type | ( | ) |
Returns the type create or edit ordinate dimension
Created in NX8.5.0.
License requirements : None
NXOpen::Tooling::AutoDimensionBuilder::ValuePrecisionType NXOpen::Tooling::AutoDimensionBuilder::ValuePrecision | ( | ) |
Returns the value precision
Created in NX8.5.0.
License requirements : None